Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.plugin
Interface ProjectPlugin

All Superinterfaces:
  Disposable, Plugin

All Known Implementing Classes:
  AbstractProjectPlugin, CodeGeneratorProjectPlugin, ProjectPluginAdapter

    public interface ProjectPlugin

extends Plugin

Author:
  Ray Fergerson

Method Summary
`void` | `afterCreate(Project p)` Called after a new project is created but before it is displayed
`void` | `afterLoad(Project p)` Called after an existing project is loaded but before it is displayed
`void` | `afterSave(Project p)` Called after a project has been saved.
`void` | `afterShow(ProjectView view, ProjectToolBar toolBar, ProjectMenuBar menuBar)` Called after the view has been added to the screen
`void` | `beforeClose(Project p)` Called before the close operation for a project
`void` | `beforeHide(ProjectView view, ProjectToolBar toolBar, ProjectMenuBar menuBar)` Call before the view has been removed from the screen
`void` | `beforeSave(Project p)` Called before a save operation for a project

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### afterCreate

    void afterCreate(Project p)

  Called after a new project is created but before it is displayed

### afterLoad

    void afterLoad(Project p)

  Called after an existing project is loaded but before it is displayed

### afterSave

    void afterSave(Project p)

  Called after a project has been saved.

### afterShow

    void afterShow(ProjectView view,
                   ProjectToolBar toolBar,
                   ProjectMenuBar menuBar)

  Called after the view has been added to the screen

### beforeSave

    void beforeSave(Project p)

  Called before a save operation for a project

### beforeHide

    void beforeHide(ProjectView view,
                    ProjectToolBar toolBar,
                    ProjectMenuBar menuBar)

  Call before the view has been removed from the screen

### beforeClose

    void beforeClose(Project p)

  Called before the close operation for a project

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.